DocumentReference read

get/DocumentReference/{id}
Page View

This resource contains metadata for any kind of document so that you can locate the document in a system. Typically, you may use this as a reference in another resource type that includes the subject, author, and context for a related document.

You may want to use this resource if:

  • You want raw XML data.
  • You want to pick which documents to view or retrieve.

If you’re familiar with our Redox data models, this is the FHIR® representation of the ClinicalSummary.DocumentGet. Refer to the DocumentGet schema. Or, if you only want to retrieve the patient’s latest CDA, refer to the PatientQuery schema.

You can review, retrieve, create, or edit document records.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

read

Review a specific DocumentReference resource with metadata for a document related to a patient, visit, or other clinical concept.

FHIR read

To use a read interaction, you must know the related resource ID, which you may not have in your real workflows. A read is likely only a follow-up option after receiving the specific resource in a recent FHIR® passthrough or data on demand exchange.

Typically, you should use the more flexible _search with query parameters, unless you're guaranteed to request data directly from a FHIR® server using the resource ID. Learn more about using FHIR® identifiers.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/DocumentReference/{id}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Request Parameters

  • id
    required, string

    DocumentReference identifier

Response fields and example

Example payload generated from schema
1
{
2
"resourceType": "DocumentReference",
3
"id": "string",
4
"masterIdentifier": {
5
"extension": [
6
{
7
"url": "string",
8
"valueBoolean": true
9
}
10
],
11
"use": "usual",
12
"system": "string",
13
"value": "string"
14
},
15
"status": "current",
16
"type": {
17
"coding": [
18
{
19
"system": "string",
20
"code": "string"
21
}
22
],
23
"text": "string"
24
},
25
"category": [
26
{
27
"coding": [
28
{
29
"code": "string",
30
"system": "string"
31
}
32
],
33
"text": "string"
34
}
35
],
36
"subject": {
37
"reference": "string"
38
},
39
"date": "string",
40
"author": [
41
{
42
"reference": "string"
43
}
44
],
45
"authenticator": {
46
"reference": "string"
47
},
48
"relatesTo": [
49
{
50
"code": "replaces",
51
"target": {
52
"extension": [
53
{
54
"url": "http://hl7.org/fhir/us/ccda/StructureDefinition/VersionNumber",
55
"valueInteger": 0
56
}
57
],
58
"identifier": {
59
"extension": [
60
{
61
"url": "string",
62
"valueBoolean": true
63
}
64
],
65
"use": "usual",
66
"system": "string",
67
"value": "string"
68
}
69
}
70
}
71
],
72
"description": "string",
73
"content": [
74
{
75
"attachment": {
76
"contentType": "text/xml",
77
"data": "string"
78
}
79
}
80
],
81
"context": {
82
"encounter": [
83
{
84
"identifier": {
85
"extension": [
86
{
87
"url": "string",
88
"valueBoolean": true
89
}
90
],
91
"use": "usual",
92
"system": "string",
93
"value": "string"
94
}
95
}
96
],
97
"period": {
98
"start": "string",
99
"end": "string"
100
}
101
}
102
}

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.